cdac.medinfo.ccd.datatype

## Class CE

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.CD
    - - cdac.medinfo.ccd.datatype.CE

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CV, EIVLEvent, HXITCE

      public class CE
      extends CD

  Coded data, consists of a coded value (CV) and, optionally, coded value(s) from other coding systems that identify the same concept. Used when alternative codes may exist.

  Java class for CE complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CE">
         <complexContent>
           <restriction base="{urn:hl7-org:v3}CD">
             <sequence>
               <element name="originalText" type="{urn:hl7-org:v3}ED" minOccurs="0"/>
               <element name="qualifier" type="{urn:hl7-org:v3}CR" maxOccurs="0" minOccurs="0"/>
               <element name="translation" type="{urn:hl7-org:v3}CD" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="code" type="{urn:hl7-org:v3}cs" />
             <attribute name="codeSystem" type="{urn:hl7-org:v3}uid" />
             <attribute name="codeSystemName" type="{urn:hl7-org:v3}st" />
             <attribute name="codeSystemVersion" type="{urn:hl7-org:v3}st" />
             <attribute name="displayName" type="{urn:hl7-org:v3}st" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CE()`

  - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.CD

      `getCode, getCodeSystem, getCodeSystemName, getCodeSystemVersion, getDisplayName, getOriginalText, getQualifier, getTranslation, setCode, setCodeSystem, setCodeSystemName, setCodeSystemVersion, setDisplayName, setOriginalText`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CE

          public CE()